package com.steerinfo.baseinfo.meterbaseaddweight.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

public class MeterBaseAddWeight implements IBasePO<String> {
    /**
     * 附加重量编号(ADD_WEIGHT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="附加重量编号",required=true)
    private String addWeightNo;

    /**
     * 器具编号(UTENSIL_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="器具编号",required=true)
    private String utensilNo;

    /**
     * 器具名称编号(UTENSIL_NAME_NO,VARCHAR,30)
     */
    @ApiModelProperty(value="器具名称编号",required=false)
    private String utensilNameNo;

    /**
     * 器具名称(UTENSIL_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="器具名称",required=true)
    private String utensilName;

    /**
     * 器具重量(UTENSIL_WEIGHT,DECIMAL,10)
     */
    @ApiModelProperty(value="器具重量",required=true)
    private Double utensilWeight;

    /**
     * 器具属性编号(UTENSIL_TYPE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="器具属性编号",required=true)
    private String utensilTypeNo;

    /**
     * 器具属性名称(UTENSIL_UTENSIL_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="器具属性名称",required=true)
    private String utensilUtensilName;

    /**
     * 状态(VALUE_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="状态",required=true)
    private String valueFlag;

    /**
     * 备注(MEMO,VARCHAR,200)
     */
    @ApiModelProperty(value="备注",required=false)
    private String memo;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=true)
    private String createManNo;

    /**
     * 创建人姓名(CREATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="创建人姓名",required=true)
    private String createManName;

    /**
     * 创建时间(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间",required=true)
    private Date createTime;

    /**
     * 修改人编号(UPDATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="修改人编号",required=false)
    private String updateManNo;

    /**
     * 修改人姓名(UPDATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="修改人姓名",required=false)
    private String updateManName;

    /**
     * 修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间",required=false)
    private Date updateTime;

    /**
     * 删除人编号(DELETE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="删除人编号",required=false)
    private String deleteManNo;

    /**
     * 删除人姓名(DELETE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="删除人姓名",required=false)
    private String deleteManName;

    /**
     * 删除时间(DELETE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="删除时间",required=false)
    private Date deleteTime;



    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.addWeightNo;
    }

    @Override
    public void setId(String addWeightNo) {
        this.addWeightNo = addWeightNo == null ? null : addWeightNo.trim();
    }

    public String getAddWeightNo() {
        return addWeightNo;
    }

    public void setAddWeightNo(String addWeightNo) {
        this.addWeightNo = addWeightNo == null ? null : addWeightNo.trim();
    }

    public String getUtensilNo() {
        return utensilNo;
    }

    public void setUtensilNo(String utensilNo) {
        this.utensilNo = utensilNo == null ? null : utensilNo.trim();
    }

    public String getUtensilName() {
        return utensilName;
    }

    public void setUtensilName(String utensilName) {
        this.utensilName = utensilName == null ? null : utensilName.trim();
    }

    public Double getUtensilWeight() {
        return utensilWeight;
    }

    public void setUtensilWeight(Double utensilWeight) {
        this.utensilWeight = utensilWeight;
    }

    public String getUtensilTypeNo() {
        return utensilTypeNo;
    }

    public void setUtensilTypeNo(String utensilTypeNo) {
        this.utensilTypeNo = utensilTypeNo == null ? null : utensilTypeNo.trim();
    }

    public String getUtensilUtensilName() {
        return utensilUtensilName;
    }

    public void setUtensilUtensilName(String utensilUtensilName) {
        this.utensilUtensilName = utensilUtensilName == null ? null : utensilUtensilName.trim();
    }

    public String getValueFlag() {
        return valueFlag;
    }

    public void setValueFlag(String valueFlag) {
        this.valueFlag = valueFlag == null ? null : valueFlag.trim();
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo == null ? null : memo.trim();
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo == null ? null : updateManNo.trim();
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getDeleteManNo() {
        return deleteManNo;
    }

    public void setDeleteManNo(String deleteManNo) {
        this.deleteManNo = deleteManNo == null ? null : deleteManNo.trim();
    }

    public String getDeleteManName() {
        return deleteManName;
    }

    public void setDeleteManName(String deleteManName) {
        this.deleteManName = deleteManName == null ? null : deleteManName.trim();
    }

    public Date getDeleteTime() {
        return deleteTime;
    }

    public void setDeleteTime(Date deleteTime) {
        this.deleteTime = deleteTime;
    }

    public String getUtensilNameNo() {
        return utensilNameNo;
    }

    public void setUtensilNameNo(String utensilNameNo) {
        this.utensilNameNo = utensilNameNo == null ? null : utensilNameNo.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", addWeightNo=").append(addWeightNo);
        sb.append(", utensilNo=").append(utensilNo);
        sb.append(", utensilName=").append(utensilName);
        sb.append(", utensilWeight=").append(utensilWeight);
        sb.append(", utensilTypeNo=").append(utensilTypeNo);
        sb.append(", utensilUtensilName=").append(utensilUtensilName);
        sb.append(", valueFlag=").append(valueFlag);
        sb.append(", memo=").append(memo);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateManNo=").append(updateManNo);
        sb.append(", updateManName=").append(updateManName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", deleteManNo=").append(deleteManNo);
        sb.append(", deleteManName=").append(deleteManName);
        sb.append(", deleteTime=").append(deleteTime);
        sb.append(", utensilNameNo=").append(utensilNameNo);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}